# Workflow

the workflow API

## GET /cmn/workflows/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}":{"get":{"tags":["Workflow"],"summary":"Find an existing Resource by identifier","operationId":"getById_118","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}":{"put":{"tags":["Workflow"],"summary":"Update existing Resource ","operationId":"update_108","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /cmn/workflows/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}":{"delete":{"tags":["Workflow"],"summary":"Delete an existing Resource","operationId":"delete_96","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"get":{"tags":["Workflow"],"operationId":"getElementById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Elements"},"description":{"type":"string","description":"Ggf weitere Beschreibung"},"type":{"type":"string","description":"Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Skript, welches ausgeführt werden soll"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter welche vor der Ausführung von einem Element geladen werden sollen","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Folge-Elemente","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?","items":{"type":"string","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden"},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"Für INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds"},"possibleSplitResults":{"type":"array","description":"Mögliche Ergebnisse/Ausgänge beim Split","items":{"type":"string","description":"Mögliche Ergebnisse/Ausgänge beim Split"}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Verzögerung von Timern"},"responsibleUserRefs":{"type":"array","description":"Nutzer, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"Nutzergruppen, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Listen für Auswahloptionen","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":"Der ausführende Benutzer ist auch der verantwortliche Benutzer"},"subWorkflowRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-workflow-WorkflowElementParameter":{"description":"Parameter zu einem Workflow-Element","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-workflow-WorkflowSequelElementRef":{"description":"Folge-Elemente","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"name":{"type":"string","description":"Name","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"executeOnSplitResult":{"type":"string","description":"Wann wird dieses Element ausgeführt?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"common-workflow-UserDecision":{"description":"Listen für Auswahloptionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"ID des Work-Items, zu dem die Benutzerentscheidung gehört","readOnly":true},"resultName":{"type":"string","description":"Name unter dem das Ergebnis abgerufen werden kann"},"prompt":{"type":"string","description":"Textbeschreibung der Auswahl-Liste / Eingabeaufforderung"},"valueType":{"type":"string","description":"Typ der Listen-Elemente"},"choiceOptions":{"type":"array","description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Suchdialog zur Suche des Werts (statt den Auswahlmöglichkeiten)"},"trySynchronous":{"type":"boolean","default":false,"description":"Soll versucht werden, die Benutzerentscheidung synchron abzufragen?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"common-workflow-ChoiceOption":{"description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung der Auswahl"},"value":{"type":"string","description":"Wert für die Auswahloption (Text)"},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```

## PUT /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"put":{"tags":["Workflow"],"operationId":"updateElement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Elements"},"description":{"type":"string","description":"Ggf weitere Beschreibung"},"type":{"type":"string","description":"Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Skript, welches ausgeführt werden soll"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter welche vor der Ausführung von einem Element geladen werden sollen","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Folge-Elemente","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?","items":{"type":"string","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden"},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"Für INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds"},"possibleSplitResults":{"type":"array","description":"Mögliche Ergebnisse/Ausgänge beim Split","items":{"type":"string","description":"Mögliche Ergebnisse/Ausgänge beim Split"}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Verzögerung von Timern"},"responsibleUserRefs":{"type":"array","description":"Nutzer, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"Nutzergruppen, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Listen für Auswahloptionen","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":"Der ausführende Benutzer ist auch der verantwortliche Benutzer"},"subWorkflowRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-workflow-WorkflowElementParameter":{"description":"Parameter zu einem Workflow-Element","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-workflow-WorkflowSequelElementRef":{"description":"Folge-Elemente","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"name":{"type":"string","description":"Name","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"executeOnSplitResult":{"type":"string","description":"Wann wird dieses Element ausgeführt?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"common-workflow-UserDecision":{"description":"Listen für Auswahloptionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"ID des Work-Items, zu dem die Benutzerentscheidung gehört","readOnly":true},"resultName":{"type":"string","description":"Name unter dem das Ergebnis abgerufen werden kann"},"prompt":{"type":"string","description":"Textbeschreibung der Auswahl-Liste / Eingabeaufforderung"},"valueType":{"type":"string","description":"Typ der Listen-Elemente"},"choiceOptions":{"type":"array","description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Suchdialog zur Suche des Werts (statt den Auswahlmöglichkeiten)"},"trySynchronous":{"type":"boolean","default":false,"description":"Soll versucht werden, die Benutzerentscheidung synchron abzufragen?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"common-workflow-ChoiceOption":{"description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung der Auswahl"},"value":{"type":"string","description":"Wert für die Auswahloption (Text)"},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```

## DELETE /cmn/workflows/{id}/workflow-elements/{element-id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/workflow-elements/{element-id}":{"delete":{"tags":["Workflow"],"operationId":"removeElement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"element-id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## PUT /cmn/workflows/{id}/setSavePointBeginEditing

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/setSavePointBeginEditing":{"put":{"tags":["Workflow"],"operationId":"setSavePointBeginEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}/restoreSavePointAfterCancelEditing

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/restoreSavePointAfterCancelEditing":{"put":{"tags":["Workflow"],"operationId":"restoreSavePointBeginEditing","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}/restoreNextSavePoint

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/restoreNextSavePoint":{"put":{"tags":["Workflow"],"operationId":"restoreNextSavePoint","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}/restoreLastSavePoint

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/restoreLastSavePoint":{"put":{"tags":["Workflow"],"operationId":"restoreLastSavePoint","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}/deactivate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/deactivate":{"put":{"tags":["Workflow"],"operationId":"deactivate_50","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /cmn/workflows/{id}/changeNameAndDescription

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/changeNameAndDescription":{"put":{"tags":["Workflow"],"operationId":"changeWorkflowNameAndDescription","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowChangeNameAndDescriptionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowChangeNameAndDescriptionRequest":{"properties":{"name":{"type":"string","description":"der neue Name für den Workflow"},"description":{"type":"string","description":"die neue Beschreibung des Worklflows"}},"required":["name"]},"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]}}}}
```

## PUT /cmn/workflows/{id}/activate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/activate":{"put":{"tags":["Workflow"],"operationId":"activate_50","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"404":{"description":"workflow not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /cmn/workflows

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows":{"post":{"tags":["Workflow"],"summary":"Create new Resource","operationId":"create_100","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-Workflow"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"common-workflow-Workflow":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Workflows"},"description":{"type":"string","description":"Beschreibung des Workflows"},"trigger":{"type":"string","description":"Wann wird dieser Workflow ausgelöst?"},"subWorkflow":{"type":"boolean","default":false,"description":"Handelt es sich um einen Unter-Workflow?"},"state":{"type":"string","default":"DRAFT","description":"Status des Workflows","enum":["DRAFT","INACTIVE","ACTIVE"],"readOnly":true},"synchronous":{"type":"boolean","description":"Synchroner Workflow?","readOnly":true},"successorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"predecessorRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"required":["name","subWorkflow"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## GET /cmn/workflows/{id}/workflow-elements

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/workflow-elements":{"get":{"tags":["Workflow"],"operationId":"getElements","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Elements"},"description":{"type":"string","description":"Ggf weitere Beschreibung"},"type":{"type":"string","description":"Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Skript, welches ausgeführt werden soll"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter welche vor der Ausführung von einem Element geladen werden sollen","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Folge-Elemente","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?","items":{"type":"string","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden"},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"Für INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds"},"possibleSplitResults":{"type":"array","description":"Mögliche Ergebnisse/Ausgänge beim Split","items":{"type":"string","description":"Mögliche Ergebnisse/Ausgänge beim Split"}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Verzögerung von Timern"},"responsibleUserRefs":{"type":"array","description":"Nutzer, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"Nutzergruppen, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Listen für Auswahloptionen","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":"Der ausführende Benutzer ist auch der verantwortliche Benutzer"},"subWorkflowRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"common-workflow-WorkflowElementParameter":{"description":"Parameter zu einem Workflow-Element","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Parameters","maxLength":255,"minLength":0},"requiredValueType":{"type":"string","description":"Typ des Parameters, falls er z.B. durch ein Skript-Modul vorgegeben wurde","maxLength":255,"minLength":0,"readOnly":true},"fixedValue":{"type":"string","description":"Fester Wert (nur in Kombination mit fixedValueType)","maxLength":255,"minLength":0},"fixedValueType":{"type":"string","description":"Datentyp vom festen Wert (nur in Kombination mit fixedValue)","maxLength":255,"minLength":0},"queryPresetRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"attributePath":{"type":"string","description":"Pfad zu einem Attribut innerhalb der Query aus queryPresetRef"}},"required":["name"]},"common-workflow-WorkflowSequelElementRef":{"description":"Folge-Elemente","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"name":{"type":"string","description":"Name","readOnly":true},"description":{"type":"string","description":"Beschreibung","readOnly":true},"executeOnSplitResult":{"type":"string","description":"Wann wird dieses Element ausgeführt?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"common-workflow-UserDecision":{"description":"Listen für Auswahloptionen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"workItemId":{"type":"integer","format":"int64","description":"ID des Work-Items, zu dem die Benutzerentscheidung gehört","readOnly":true},"resultName":{"type":"string","description":"Name unter dem das Ergebnis abgerufen werden kann"},"prompt":{"type":"string","description":"Textbeschreibung der Auswahl-Liste / Eingabeaufforderung"},"valueType":{"type":"string","description":"Typ der Listen-Elemente"},"choiceOptions":{"type":"array","description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","items":{"$ref":"#/components/schemas/common-workflow-ChoiceOption"}},"searchDialog":{"type":"string","description":"Suchdialog zur Suche des Werts (statt den Auswahlmöglichkeiten)"},"trySynchronous":{"type":"boolean","default":false,"description":"Soll versucht werden, die Benutzerentscheidung synchron abzufragen?"},"multipleChoiceAllowed":{"type":"boolean"}},"required":["prompt","resultName","valueType"]},"common-workflow-ChoiceOption":{"description":"Vorgegebene Antwortmöglichkeiten, oder leer, falls offene Frage","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Bezeichnung der Auswahl"},"value":{"type":"string","description":"Wert für die Auswahloption (Text)"},"followUpUserDecision":{"$ref":"#/components/schemas/common-workflow-UserDecision"},"defaultValue":{"type":"boolean"}},"required":["value"]}}}}
```

## POST /cmn/workflows/{id}/workflow-elements

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Workflow","description":"the workflow API"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/cmn/workflows/{id}/workflow-elements":{"post":{"tags":["Workflow"],"operationId":"addElement","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-workflow-WorkflowElement"}}}}}}}},"components":{"schemas":{"common-workflow-WorkflowElement":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"name":{"type":"string","description":"Name des Elements"},"description":{"type":"string","description":"Ggf weitere Beschreibung"},"type":{"type":"string","description":"Gibt an, um welche Art von Element es sich bei einem WorkflowElement handelt","enum":["START_EVENT","INTERMEDIATE_EVENT","END_EVENT_SUCCESS","END_EVENT_ERROR","USER_TASK","SCRIPT_TASK","EXCLUSIVE_SPLIT_GATEWAY","EXCLUSIVE_JOIN_GATEWAY","PARALLEL_JOIN_GATEWAY","TIMER","SUB_WORKFLOW"]},"script":{"type":"string","description":"Skript, welches ausgeführt werden soll"},"scriptModuleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"parameters":{"type":"array","description":"Parameter welche vor der Ausführung von einem Element geladen werden sollen","items":{"$ref":"#/components/schemas/common-workflow-WorkflowElementParameter"}},"sequelElementRefs":{"type":"array","description":"Folge-Elemente","items":{"$ref":"#/components/schemas/common-workflow-WorkflowSequelElementRef"},"readOnly":true},"uiData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"intermediateEventIdentifiers":{"type":"array","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?","items":{"type":"string","description":"Für INTERMEDIATE_EVENT: wodurch wird dieses Event getriggert?"}},"triggerSingleInstance":{"type":"boolean","default":true,"description":"Für INTERMEDIATE_EVENT: kann nur in der definierten Instanz getriggert werden"},"guardingIntervalInSeconds":{"type":"integer","format":"int32","description":"Für INTERMEDIATE_EVENT: definiert ein Abfrage-Intervall, zu dem das Intermediate-Event überprüft wird, ob eine Ausführung des Skripts möglich ist. Nur in Verbindung mit delayInSeconds"},"possibleSplitResults":{"type":"array","description":"Mögliche Ergebnisse/Ausgänge beim Split","items":{"type":"string","description":"Mögliche Ergebnisse/Ausgänge beim Split"}},"timeoutAfterSeconds":{"type":"integer","format":"int64","description":"Verzögerung von Timern"},"responsibleUserRefs":{"type":"array","description":"Nutzer, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"responsibleUserGroupRefs":{"type":"array","description":"Nutzergruppen, die diesen UserTask bearbeiten können","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}},"userDecisions":{"type":"array","description":"Listen für Auswahloptionen","items":{"$ref":"#/components/schemas/common-workflow-UserDecision"}},"responsibleUserIsExecutingUser":{"type":"boolean","default":false,"description":
[...]
